View Issue Details

IDProjectCategoryView StatusLast Update
0015067ScribusGeneralpublic2017-12-27 12:48
ReporterEneen Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0015067: Undoing text paste over causes old and new text merge
DescriptionAs you can see @screencast.
Copy-pasta text from notepad and undo to replicate.
Tagsundo
PatchNo

Relationships

has duplicate 0015081 closedjghali Undo function works buggy 
related to 0012043 closedjghali Undo on cutting text doesnt restore correctly, but in text of previous edit or delete instead 

Activities

Eneen

2017-12-11 14:45

reporter  

undo_paste_bug.gif (45,834 bytes)
undo_paste_bug.gif (45,834 bytes)

jghali

2017-12-12 09:26

administrator   ~0044737

@PeterBenedek, this is a different issue

PeterBenedek

2017-12-12 09:41

developer   ~0044738

Uhh, really.

Original issue not reproducible anymore. Works well.

jghali

2017-12-12 12:00

administrator   ~0044740

@PeterBenedek, i've committed a fix for your issue. You'll have to check r22245.

PeterBenedek

2017-12-13 07:40

developer   ~0044747

Tested r22246

Excellent work. It's in every situation work well.

Issue History

Date Modified Username Field Change
2017-12-11 14:45 Eneen New Issue
2017-12-11 14:45 Eneen File Added: undo_paste_bug.gif
2017-12-11 15:11 jghali Severity major => minor
2017-12-11 18:11 jghali Assigned To => jghali
2017-12-11 18:11 jghali Status new => resolved
2017-12-11 18:11 jghali Resolution open => fixed
2017-12-11 18:11 jghali Fixed in Version => 1.5.4.svn
2017-12-11 18:40 JLuc Tag Attached: undo
2017-12-11 18:42 JLuc Relationship added related to 0012043
2017-12-12 09:16 PeterBenedek File Added: output_01.gif
2017-12-12 09:16 PeterBenedek File Added: output_02.gif
2017-12-12 09:16 PeterBenedek File Added: output_03.gif
2017-12-12 09:18 PeterBenedek Status resolved => feedback
2017-12-12 09:18 PeterBenedek Resolution fixed => reopened
2017-12-12 09:26 jghali Status feedback => resolved
2017-12-12 09:26 jghali Resolution reopened => fixed
2017-12-12 09:26 jghali Note Added: 0044737
2017-12-12 09:41 PeterBenedek Note Added: 0044738
2017-12-12 09:42 PeterBenedek File Deleted: output_03.gif
2017-12-12 09:42 PeterBenedek File Deleted: output_02.gif
2017-12-12 09:42 PeterBenedek File Deleted: output_01.gif
2017-12-12 12:00 jghali Note Added: 0044740
2017-12-13 07:40 PeterBenedek Note Added: 0044747
2017-12-20 20:58 cbradney Status resolved => closed
2017-12-27 12:48 jghali Relationship added has duplicate 0015081